View Issue Details

IDProjectCategoryView StatusLast Update
0002749Ham Radio DeluxeMaintenancepublic2019-11-07 05:35
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.5.0.196 
Summary0002749: Rig Control: consider removing vCOM driver from product
DescriptionThe virtual serial port driver seems obsolete; there's no practical use for it. Even so, the driver won't install on modern versions of Windows which require signed and approved drivers. This third-party driver is not built by our build process, and is not signed in any way. We can't do EV signing without buying an appropriate certificate, and it would be weird to sign third-party code anyway.

The website for the driver doesn't exist; a personal website exists at that address but diesn't make any mention of this driver or a replacement.

We're probably better-off removing the driver (and the related menus and config code) from the product.
TagsNo tags attached.
ModuleRig Control
Sub-ModuleFunctional
Testing Beta Successful

Relationships

related to 0002727 closedK7ZCZ Documentation: contains dead link to third-party website 
related to 0003073 closedK7ZCZ restore "3rd Party Serial Port" menu in Rig Control 
related to 0002715 closedK7ZCZ Rig Control: help text contains bad link to ham-radio.ch domain 

Activities

K7ZCZ

2018-05-27 16:52

administrator   ~0005116

fix typo for searching

K7ZCZ

2018-12-02 14:14

administrator   ~0006514




This removal goes on for a little bit. Here are the changes:


  • Remove N8VB files from setup

  • Remove emulated comp port thread from Rig Control

  • Remove "3rd-party Serial Port" command from "Tools" menu in Rig Control

  • Edit help text in "Connect" window

  • Remove N8VB configuration dialog box

  • Remove unused "Enumerate Serial PortS" commands

  • Remove "HRD Supports Virtual Serial Ports" help file




Checked into the 6.5 branch with this changelist:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4505

WA9PIE

2018-12-21 01:11

administrator   ~0006764

Validated

Issue History

Date Modified Username Field Change
2018-05-26 17:08 K7ZCZ New Issue
2018-05-27 16:52 K7ZCZ Summary Rig Control: consier removing vCOM driver from product => Rig Control: consider removing vCOM driver from product
2018-05-27 16:52 K7ZCZ Note Added: 0005116
2018-05-28 10:42 K7ZCZ Category Bug => Maintenance
2018-06-28 17:04 K7ZCZ Relationship added related to 0002727
2018-12-02 14:14 K7ZCZ Assigned To => K7ZCZ
2018-12-02 14:14 K7ZCZ Status new => resolved
2018-12-02 14:14 K7ZCZ Resolution open => fixed
2018-12-02 14:14 K7ZCZ Note Added: 0006514
2018-12-09 15:44 K7ZCZ Fixed in Version => 6.5.0.132
2018-12-21 01:11 WA9PIE Status resolved => closed
2018-12-21 01:11 WA9PIE Testing Not Started => Beta Successful
2018-12-21 01:11 WA9PIE Note Added: 0006764
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.132 => 6.5.0.183
2019-01-16 22:04 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2019-01-18 19:45 K7ZCZ Relationship added related to 0003073
2019-01-19 10:39 K7ZCZ Relationship added related to 0002715
2019-11-07 05:35 WA9PIE Fixed in Version 6.5.0.183 => 6.5.0.196